<?php get_header(); ?>

    <div id="content" class="narrowcolumn">



<?php if ( have_posts() ) { rp_recentlinks_inline(); $linkcounter=0; ?>

  <?php foreach ($posts as $post) { the_post(); ?>




    <?php if (  'link' == $post->rp_entry_type && !is_single()  ) {
        /* ==============================================
                Recent Link Formatting
        ============================================== */ ?>

        <?php if ($link_counter == 0) { ?>
            <ul class="recentlinks-inline">
        <?php } // recent links open <ul> ?>

            <li><a href="<?php echo $post->link_url; ?>"><?php echo wptexturize($post->link_text); ?></a>
            <?php if ('' != $post->link_caption) { ?>&#8594;
            <?php echo wptexturize(convert_smilies($post->link_caption)); ?><?php } ?>
            <a href="<?php echo $post->link_permalink; ?>" class="permalink">#</a></li>

        <?php $link_counter++ ?>


    <?php } else {
        /* ==============================================
                Standard Entries
        ============================================== */ ?>

        <?php if ($link_counter > 0) { $link_counter = 0; ?>
            </ul>
        <?php } // recent links close </ul> ?>




            <div class="post" id="post-<?php the_ID(); ?>">
                <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
                <small><?php the_time('F jS, Y') ?> <!-- by <?php the_author() ?> --></small>

                <div class="entry">
                    <?php the_content('Read the rest of this entry &raquo;'); ?>
                </div>

                <p class="postmetadata">Posted in <?php the_category(', ') ?> <strong>|</strong> <?php edit_post_link('Edit','','<strong>|</strong>'); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p>
            </div>



    <?php } // close if() for entry types ?>




  <?php } /* end foreach() */ ?>


        <?php if ($link_counter > 0) { $link_counter = 0; ?>
            </ul>
        <?php } // recent links close </ul> ?>


        <div class="navigation">
            <div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
            <div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
        </div>



<?php   } /* end if() */  else { /* if(have_posts()) is false */ ?>


        <h2 class="center">Not Found</h2>
        <p class="center">Sorry, but you are looking for something that isn't here.</p>
        <?php include (TEMPLATEPATH . "/searchform.php"); ?>

<?php } /* ==============================================
                End WordPress Loop
        ============================================== */ ?>




    </div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
