<?php
/*
Template Name: Recent Links Archive
*/

/* Don't remove this line. */
require('./wp-blog-header.php');


/* =========================================================================

wp-recent-links

this page is based on the default template "Kubrick"
this page's markup is the same as the default index.php file in wordpress.
just edit this to your site's design.


========================================================================= */
rp_recentlinks_begin_change_title(); /* Don't remove this line. */
?>

<?php  get_header(); ?>

    <div id="content" class="narrowcolumn">





<!-- BEGIN: recent links main body display -->

    <h2><?php $new_title = rp_recentlinks_archive_header() ?></h2>

    <?php rp_recentlinks_end_change_title(); /* Don't remove this line. */ ?>

    <?php $links = rp_recentlinks_archive_page(); ?>
    <?php if ($links) {  ?>
    <ul>
        <?php foreach ($links as $link) { ?>

            <li id="rlink-<?php echo $link->ID; ?>"><a href="<?php echo $link->link_url; ?>"><?php echo wptexturize($link->link_text); ?></a>
            <?php if ('' != $link->link_caption) { ?>&#8594;
            <?php echo wptexturize(convert_smilies($link->link_caption)); ?><?php } ?>
            <a href="<?php echo $link->link_permalink; ?>" class="permalink">#</a></li>



        <?php } ?>
    </ul>
    <?php } ?>





    <h2>Recent Links by Month</h2>

    <ul>
        <?php rp_recentlinks_archives('', true); ?>
    </ul>

<!-- END: recent links main body display -->








    </div>

<?php  get_sidebar(); /* include 'wp-content/themes/'.get_option('template').'/sidebar.php'; */ ?>

<?php  get_footer(); /* include 'wp-content/themes/'.get_option('template').'/footer.php'; */ ?>